Bug 53819 - kernel oops - when eject the cdrom
kernel oops - when eject the cdrom
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-19 12:18 EDT by acount closed by user
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 13:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description acount closed by user 2001-09-19 12:18:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. run eject with a cd media
2. crash
3. can not  shutdown
	

Actual Results:  the system can not shutdown, trying umount /cdrom

Additional info:

chuchi:/home/xose # eject
hdc: ATAPI 24X DVD-ROM drive, 512kB Cache, DMA
hdc: ide_cdrom_setup failed to register device with the cdrom driver.
Unable to handle kernel NULL pointer dereference at virtual address
00000028
 printing eip:
c0189fd1
pgd entry c0d7d000: 0000000000000000
pmd entry c0d7d000: 0000000000000000
... pmd not present!
Oops: 0000
CPU:    0
EIP:    0010:[<c0189fd1>]
EFLAGS: 00010212
eax: 00000000   ebx: 00000000   ecx: 00000000   edx: 00000246
esi: 00001600   edi: c02d2c88   ebp: 00001000   esp: c0d85ed8
ds: 0018   es: 0018   ss: 0018
Process modprobe (pid: 1294, stackpage=c0d85000)
Stack: 00000000 00000016 00000040 00000328 00000000 c02d2f48 00000328
c018a071
       00001600 00000001 c5655800 00000000 c5655940 00000002 c018c6a9
c9c45a8f
       c9c486a0 c9c42000 00000001 00000001 00000001 c0116c35 c9c487c4
c685a000
Call Trace: [<c018a071>] [<c018c6a9>] [<c9c45a8f>] [<c9c486a0>]
[<c9c42000>]
   [<c0116c35>] [<c9c487c4>] [<c9c3a000>] [<c9c42060>] [<c0106d2b>]

Code: 8b 40 28 85 c0 74 04 57 ff d0 5a 80 a7 ae 00 00 00 fb 8d 87

--syslog--
Sep 19 20:14:24 chuchi kernel: hdc: ATAPI 24X DVD-ROM drive, 512kB Cache,
DMA
Sep 19 20:14:24 chuchi kernel: Uniform CD-ROM driver Revision: 3.12
Sep 19 20:14:24 chuchi kernel: hdc: ide_cdrom_setup failed to register
device with the cdrom driver.
Sep 19 20:14:24 chuchi kernel: Unable to handle kernel NULL pointer
dereference at virtual address 00000028
Sep 19 20:14:24 chuchi kernel:  printing eip:
Sep 19 20:14:24 chuchi kernel: c0189fd1
Sep 19 20:14:24 chuchi kernel: pgd entry c0d7d000: 0000000000000000
Sep 19 20:14:24 chuchi kernel: pmd entry c0d7d000: 0000000000000000
Sep 19 20:14:24 chuchi kernel: ... pmd not present!
Sep 19 20:14:24 chuchi kernel: Oops: 0000
Sep 19 20:14:24 chuchi kernel: CPU:    0
Sep 19 20:14:24 chuchi kernel: EIP:    0010:[ide_revalidate_disk+257/320]
Sep 19 20:14:24 chuchi kernel: EIP:    0010:[<c0189fd1>]
Sep 19 20:14:24 chuchi kernel: EFLAGS: 00010212
Sep 19 20:14:24 chuchi kernel: eax: 00000000   ebx: 00000000   ecx:
00000000   edx: 00000246
Sep 19 20:14:24 chuchi kernel: esi: 00001600   edi: c02d2c88   ebp:
00001000   esp: c0d85ed8
Sep 19 20:14:24 chuchi kernel: ds: 0018   es: 0018   ss: 0018
Sep 19 20:14:24 chuchi kernel: Process modprobe (pid: 1294,
stackpage=c0d85000)
Sep 19 20:14:24 chuchi kernel: Stack: 00000000 00000016 00000040 00000328
00000000 c02d2f48 00000328 c018a071
Sep 19 20:14:24 chuchi kernel:        00001600 00000001 c5655800 00000000
c5655940 00000002 c018c6a9 c9c45a8f
Sep 19 20:14:24 chuchi kernel:        c9c486a0 c9c42000 00000001 00000001
00000001 c0116c35 c9c487c4 c685a000
Sep 19 20:14:24 chuchi kernel: Call Trace: [revalidate_drives+97/144]
[ide_register_module+57/64]
[usbcore:__insmod_usbcore_S.bss_L96+12742159/185313505]
[usbcore:__insmod_usbcore_S.bss_L96+12753440/185302224]
[usbcore:__insmod_usbcore_S.bss_L96+12727168/185328496]
Sep 19 20:14:24 chuchi kernel: Call Trace: [<c018a071>] [<c018c6a9>]
[<c9c45a8f>] [<c9c486a0>] [<c9c42000>]
Sep 19 20:14:24 chuchi kernel:    [sys_init_module+1317/1504]
[usbcore:__insmod_usbcore_S.bss_L96+12753732/185301932]
[usbcore:__insmod_usbcore_S.bss_L96+12694400/185361264]
[usbcore:__insmod_usbcore_S.bss_L96+12727264/185328400] [system_call+51/56]
Sep 19 20:14:24 chuchi kernel:    [<c0116c35>] [<c9c487c4>] [<c9c3a000>]
[<c9c42060>] [<c0106d2b>]
Sep 19 20:14:24 chuchi kernel:
Sep 19 20:14:24 chuchi kernel: Code: 8b 40 28 85 c0 74 04 57 ff d0 5a 80 a7
ae 00 00 00 fb 8d 87

--the system--
dell inspiron laptop 4000 with lg dvd drn-8080b

Note You need to log in before you can comment on or make changes to this bug.